Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5192)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5193)
@@ -2476,23 +2463,22 @@
     !PRINT*,'WAKE LJYF'
 
-
-IF (iflag_wk_new_ptop==0) THEN
-    delta_t_min=delta_t_min_in
-else
-    delta_t_min=wk_delta_t_min
-END IF
+    IF (iflag_wk_new_ptop==0) THEN
+      delta_t_min = delta_t_min_in
+    else
+      delta_t_min = wk_delta_t_min
+    END IF
 
     DO i = 1, klon
-        ptop_provis(i) = ph(i, 1)
-        k_ptop_provis(i) = 1
+      ptop_provis(i) = ph(i, 1)
+      k_ptop_provis(i) = 1
     END DO
 
     DO k = 2, klev
       DO i = 1, klon
-        IF (wk_adv(i) .AND. ptop_provis(i)==ph(i,1) .AND. &
-! LJYF changer :           dth(i,k)>=-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
-            dth(i,k)>-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
-          ptop_provis(i) = ((dth(i,k)+delta_t_min)*p(i,k-1) - &
-                            (dth(i,k-1)+delta_t_min)*p(i,k))/(dth(i,k)-dth(i,k-1))
+        IF (wk_adv(i) .AND. ptop_provis(i)==ph(i, 1) .AND. &
+                ! LJYF changer :           dth(i,k)>=-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
+                dth(i, k)>-delta_t_min .AND. dth(i, k - 1)<-delta_t_min) THEN
+          ptop_provis(i) = ((dth(i, k) + delta_t_min) * p(i, k - 1) - &
+                  (dth(i, k - 1) + delta_t_min) * p(i, k)) / (dth(i, k) - dth(i, k - 1))
           k_ptop_provis(i) = k
         END IF
@@ -2515,9 +2501,9 @@
       DO i = 1, klon
         IF (wk_adv(i)) THEN
-          dz(i) = -(amax1(ph(i,k+1),ptop_provis(i))-ph(i,k))/(rho(i,k)*RG)
+          dz(i) = -(amax1(ph(i, k + 1), ptop_provis(i)) - ph(i, k)) / (rho(i, k) * RG)
           IF (dz(i)>0) THEN
             z(i) = z(i) + dz(i)
-            sum_dth(i) = sum_dth(i) + dth(i, k)*dz(i)
-            dthmin(i) = amin1(dthmin(i), dth(i,k))
+            sum_dth(i) = sum_dth(i) + dth(i, k) * dz(i)
+            dthmin(i) = amin1(dthmin(i), dth(i, k))
           END IF
         END IF
@@ -2529,5 +2515,5 @@
     DO i = 1, klon
       IF (wk_adv(i)) THEN
-        hw_(i) = 2.*sum_dth(i)/amin1(dthmin(i), -0.5)
+        hw_(i) = 2. * sum_dth(i) / amin1(dthmin(i), -0.5)
         hw_(i) = amax1(hwmin, hw_(i))
       END IF
@@ -2546,8 +2532,8 @@
       DO i = 1, klon
         IF (wk_adv(i)) THEN
-          dz(i) = amin1(-(ph(i,k+1)-ph(i,k))/(rho(i,k)*RG), hw_(i)-z(i))
+          dz(i) = amin1(-(ph(i, k + 1) - ph(i, k)) / (rho(i, k) * RG), hw_(i) - z(i))
           IF (dz(i)>0) THEN
             z(i) = z(i) + dz(i)
-            ptop(i) = ph(i, k) - rho(i, k)*RG*dz(i)
+            ptop(i) = ph(i, k) - rho(i, k) * RG * dz(i)
             ktop(i) = k
           END IF
@@ -2559,5 +2545,5 @@
 
     DO i = 1, klon
-        ptop_new(i) = ptop(i)
+      ptop_new(i) = ptop(i)
     END DO
 
@@ -2566,15 +2552,14 @@
         ! IM v3JYG; IF (k .GE. ktop(i)
         IF (wk_adv(i) .AND. k<=ktop(i) .AND. ptop_new(i)==ptop(i) .AND. &
-! LJYF changer :           dth(i,k)>=-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
-            dth(i,k)>=-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
-          ptop_new(i) = ((dth(i,k)+delta_t_min)*p(i,k-1) - &
-                         (dth(i,k-1)+delta_t_min)*p(i,k))/(dth(i,k)-dth(i,k-1))
-        END IF
-      END DO
-    END DO
-
+                ! LJYF changer :           dth(i,k)>=-delta_t_min .AND. dth(i,k-1)<-delta_t_min) THEN
+                dth(i, k)>=-delta_t_min .AND. dth(i, k - 1)<-delta_t_min) THEN
+          ptop_new(i) = ((dth(i, k) + delta_t_min) * p(i, k - 1) - &
+                  (dth(i, k - 1) + delta_t_min) * p(i, k)) / (dth(i, k) - dth(i, k - 1))
+        END IF
+      END DO
+    END DO
 
     DO i = 1, klon
-        ptop(i) = ptop_new(i)
+      ptop(i) = ptop_new(i)
     END DO
 
@@ -2582,104 +2567,104 @@
       DO i = 1, klon
         IF (wk_adv(i)) THEN !!! nrlmd
-          IF (ph(i,k+1)<ptop(i)) ktop(i) = k
-        END IF
-      END DO
-    END DO
-  
-!  IF (prt_level>=10) THEN
-!    PRINT *, 'wake-3, ktop(igout), kupper(igout) ', ktop(igout), kupper(igout)
-!  ENDIF
+          IF (ph(i, k + 1)<ptop(i)) ktop(i) = k
+        END IF
+      END DO
+    END DO
+
+    !  IF (prt_level>=10) THEN
+    !    PRINT *, 'wake-3, ktop(igout), kupper(igout) ', ktop(igout), kupper(igout)
+    !  ENDIF
 
     ! -----------------------------------------------------------------------
     ! nouveau calcul de hw et ptop
     ! -----------------------------------------------------------------------
-!if (iflag_wk_new_ptop>0) THEN
-DO i=1,klon
-   ptop1(i)=ph(i,1)
-   ktop1(i)=1
-   h_zzz(i)=0.
-END DO
-    
-IF (iflag_wk_new_ptop/=0) THEN
-    
-    int_dth(1:klon,1:klev+1)=0.
+    !if (iflag_wk_new_ptop>0) THEN
     DO i = 1, klon
-       IF (wk_adv(i)) THEN 
-          int_dth(i,1) = 0.
-      END IF
-    END DO
-    
-    IF (abs(iflag_wk_new_ptop) == 1 ) THEN
-        DO k = 2, klev+1
-           Do i = 1, klon
-              IF (wk_adv(i)) THEN
-                 IF (k<=k_ptop_provis(i)) THEN
-                      ddd=dth(i,k-1)*(ph(i,k-1) - max(ptop_provis(i),ph(i,k)))
-                      !ddd=dth(i,k-1)*(ph(i,k-1) - ph(i,k))
-                 else
-                      ddd=0.
-                 endif             
-                 int_dth(i,k) = int_dth(i,k-1) + ddd
+      ptop1(i) = ph(i, 1)
+      ktop1(i) = 1
+      h_zzz(i) = 0.
+    END DO
+
+    IF (iflag_wk_new_ptop/=0) THEN
+
+      int_dth(1:klon, 1:klev + 1) = 0.
+      DO i = 1, klon
+        IF (wk_adv(i)) THEN
+          int_dth(i, 1) = 0.
+        END IF
+      END DO
+
+      IF (abs(iflag_wk_new_ptop) == 1) THEN
+        DO k = 2, klev + 1
+          Do i = 1, klon
+            IF (wk_adv(i)) THEN
+              IF (k<=k_ptop_provis(i)) THEN
+                ddd = dth(i, k - 1) * (ph(i, k - 1) - max(ptop_provis(i), ph(i, k)))
+                !ddd=dth(i,k-1)*(ph(i,k-1) - ph(i,k))
+              else
+                ddd = 0.
+              endif
+              int_dth(i, k) = int_dth(i, k - 1) + ddd
               !ELSE
               !   int_dth(i,k) = 0.
-              END IF
-           END DO
+            END IF
+          END DO
         END DO
-    else
-        k_ptop_provis(:)=klev+1
-        dthmin(:)=dth(:,1)
+      else
+        k_ptop_provis(:) = klev + 1
+        dthmin(:) = dth(:, 1)
         ! calcul de l'int??grale de dT * dP jusqu'au dernier
-        ! niveau avec dT<0. (en s'assurant qu'on a bien un 
+        ! niveau avec dT<0. (en s'assurant qu'on a bien un
         ! dT negatif plus bas)
         DO k = 1, klev
-           DO i = 1, klon
-              dthmin(i)=min(dthmin(i),dth(i,k))
-              ddd=dth(i,k)*(ph(i,k)-ph(i,k+1))
-              IF (dthmin(i)<0.) THEN
-                  IF (k>=k_ptop_provis(i)) THEN
-                      ddd=0.
-                  ELSE IF (dth(i,k)>=0.) THEN
-                      ddd=0.
-                      k_ptop_provis(i)=k+1
-                  endif
+          DO i = 1, klon
+            dthmin(i) = min(dthmin(i), dth(i, k))
+            ddd = dth(i, k) * (ph(i, k) - ph(i, k + 1))
+            IF (dthmin(i)<0.) THEN
+              IF (k>=k_ptop_provis(i)) THEN
+                ddd = 0.
+              ELSE IF (dth(i, k)>=0.) THEN
+                ddd = 0.
+                k_ptop_provis(i) = k + 1
               endif
-              int_dth(i,k+1) = int_dth(i,k)+ ddd
-           ENDDO
+            endif
+            int_dth(i, k + 1) = int_dth(i, k) + ddd
+          ENDDO
         ENDDO
 
         DO i = 1, klon
-           IF ( k_ptop_provis(i)==klev+1 .OR. .NOT. wk_adv(i)) THEN
-                k_ptop_provis(i)=1
-           endif
+          IF (k_ptop_provis(i)==klev + 1 .OR. .NOT. wk_adv(i)) THEN
+            k_ptop_provis(i) = 1
+          endif
         ENDDO
-    endif ! (abs(iflag_wk_new_ptop) == 1 )
-   ! PRINT*, 'xxx, int_dth', (k,int_dth(1,k),k=1,klev)
-   ! PRINT*, 'xxx, k_ptop_provis', k_ptop_provis(1)
-   
-
- 
-    ! On se limite ?? des poches avec integrale dT * dp < -wk_int_delta_t_min
-    DO i=1,klon
-          IF (int_dth(i,k_ptop_provis(i)) > -wk_int_delta_t_min .OR. k_ptop_provis(i)==1) THEN
+      endif ! (abs(iflag_wk_new_ptop) == 1 )
+      ! PRINT*, 'xxx, int_dth', (k,int_dth(1,k),k=1,klev)
+      ! PRINT*, 'xxx, k_ptop_provis', k_ptop_provis(1)
+
+
+
+      ! On se limite ?? des poches avec integrale dT * dp < -wk_int_delta_t_min
+      DO i = 1, klon
+        IF (int_dth(i, k_ptop_provis(i)) > -wk_int_delta_t_min .OR. k_ptop_provis(i)==1) THEN
           !if (1==0) THEN
-             wk_active(i)=.FALSE.
-             ptop(i)=ph(i,1)
-             ktop(i)=1
-             hw_(i)=0.
-          else
-             wk_active(i)=wk_adv(i)
-          endif
-    enddo
-
-    DO i=1,klon
-       IF (wk_active(i)) THEN
-        frac_int_dth(i)=wk_frac_int_delta_t*int_dth(i,k_ptop_provis(i))
-       ENDIF
-    ENDDO
-    DO k = 1,klev
-       DO i =1, klon
-!         PRINT*,ipas,'yyy ',k,int_dth(i,k),frac_int_dth(i)
+          wk_active(i) = .FALSE.
+          ptop(i) = ph(i, 1)
+          ktop(i) = 1
+          hw_(i) = 0.
+        else
+          wk_active(i) = wk_adv(i)
+        endif
+      enddo
+
+      DO i = 1, klon
+        IF (wk_active(i)) THEN
+          frac_int_dth(i) = wk_frac_int_delta_t * int_dth(i, k_ptop_provis(i))
+        ENDIF
+      ENDDO
+      DO k = 1, klev
+        DO i = 1, klon
+          !         PRINT*,ipas,'yyy ',k,int_dth(i,k),frac_int_dth(i)
           IF (wk_active(i)) THEN
-            IF (int_dth(i,k)>=frac_int_dth(i)) THEN
+            IF (int_dth(i, k)>=frac_int_dth(i)) THEN
               ktop1(i) = min(k, k_ptop_provis(i))
               !ktop1(i) = k
